/*
    This version of RandomField uses shades of gray instead
    of just black and white. Try changeing the value of POWER
    which controls the amount of light gray vs dark gray.
*/
import java.awt.*;
import java.applet.*;

public class RandomField2 extends Applet {

    int SIZE = 600;
    double POWER = .5;
    float randomNumber;

    public void paint(Graphics g)
    {
        for ( int i=0; i < SIZE; i++)
            for ( int j=0; j < SIZE; j++)
            {
               randomNumber = (float)Math.random();
               randomNumber = (float)Math.pow(randomNumber, POWER);
               g.setColor( new Color(randomNumber, randomNumber, randomNumber) );
               g.drawLine(i,j,i,j);
            }
    }//paint

}//RandomField2
