/*
    This applet demonstrates what I think must be the shortest
    program ever that draws a complicated image.

    See "Mazes for the Mind" by Clifford Pickover, pages 79-82,
    for the idea behind the image being drawn.
*/
import java.applet.Applet;
import java.awt.*;

public class SimpleGraphic extends Applet
{
   private final int SIZE = 512;

   public void paint(Graphics g)
   {
      for (int i = 0; i < SIZE; i++)
         for (int j = 0; j < SIZE; j++)
         {
            int gray = (i|j)%255;
            g.setColor( new Color(gray, gray, gray) );
            g.drawLine(i,j+15,i,j+15);
         }
   }//paint
}//SimpleGraphic